# Generated by rust2rpm 21
%bcond_without check

%global crate krunvm

Name:           rust-%{crate}
Version:        0.1.6
Release:        1%{?dist}
Summary:        Create microVMs from OCI images

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            https://crates.io/crates/krunvm
Source:         %{crates_source}
Patch0:         krunvm-remove-text_io.diff

# This crate depends on libkrun and it's only available on x86_64 and aarch64
ExclusiveArch:  x86_64 aarch64

BuildRequires:  rust-packaging >= 21
BuildRequires:  libkrun-devel
Requires:       buildah

%global _description %{expand:
Create microVMs from OCI images.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Obtained from "cargo license".
# Removed wasi and winapi, as they won't be linked into the binary.
#
# Apache-2.0 (1): krunvm
# Apache-2.0 OR MIT (26): arrayvec, autocfg, base64, bitflags, cfg-if, cfg-if, crossbeam-utils, directories, dirs-sys, getrandom, hermit-abi, lazy_static, libc, proc-macro2, quote, rust-argon2, serde, serde_derive, syn, toml, unicode-width, unicode-xid, vec_map
# Apache-2.0 OR MIT OR X11 (1): confy
# BSD-2-Clause (1): arrayref
# CC0-1.0 (1): constant_time_eq
# MIT (8): ansi_term, atty, blake2b_simd, clap, redox_syscall, redox_users, strsim, textwrap
License:        ASL 2.0 and BSD and CC0 and MIT

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc CODE-OF-CONDUCT.md README.md SECURITY.md
%{_bindir}/krunvm
%{_mandir}/man1/krunvm*.1*

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo '/usr/bin/asciidoctor'

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-changevm.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-config.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-create.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-delete.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-list.1
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  target/release/build/%{crate}-*/out/krunvm-start.1

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jul 05 2022 Sergio Lopez <slp@redhat.com> - 0.1.6-1
- Initial package
